Subject: Re: Problems with the new detection of IOCCC/Traditional move method

From: Dominik Vogt <[email-masked]>
Date: Thu, 15 Jul 2004 14:47:50 +0200

On Sat, Aug 09, 2003 at 11:28:43PM +0300, Mikhael Goikhman wrote:
> Here I demonstrate some bad problems with the current move/placement
> methods. I use TiledCascadePlacement, but this should not matter here.
> I know that xv was always problematic, but I see this with some other
> programs too. (And there were good workarounds for xv previously.)
> 
> 1) Run:
> 
>   xv -geo 1500x1500 pictures/fvwm-logo-steelblue.gif
> 
> Part of the image is out of the screen, because the title is fully
> visible, previously the image was fully visible and the title was
> out of the screen. Additionally, click right mouse and double click
> the file name, the window walks to the right (can't go down here).
> 
> Press "n" several times to see it walking right-down.
> 
> 2) Run:
> 
>   xv -nol huge-image.gif small-image.gif
> 
> If you don't have any huge image, you may for example run first
> "xv -geo 1500x1500 small-image.gif" and save it to huge-image.gif.
> Click right mouse and double click the second (small) image for several
> times, it walks right and down.
> 
> 3) Run (like the previous, but reversed image order):
> 
>   xv -nol small-image.gif huge-image.gif
> 
> Now the window itself is ok (behaves like previously, try to double click
> both file names to see it), but if you invoke any of the 7 windows from
> the "Windows" submenu, they are placed partially out of the screen (the
> offset of decorations).
> 
> Also try to maximize the small image and then switch to the huge one,
> the maximized image is moved left-up.
> 
> Today I even experienced this strange problem with xv: just pressing the
> window title (that invokes "+ H Move") caused the window to walk, but
> unpressing returns the window to the original position. I currently
> can't provide instructions for reproduction.
> 
> 4) Run display from ImageMagick:
> 
>   display
> 
> Then press right mouse and choose "Image Info", this window is placed
> partially out of the screen.
> 
> Any comments or fixes?

I think all of the fixable problems on this list are fixed (i.e.
all except the oddities built into xv).

Ciao

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]